events.listen('recipes', function (e) {

//Alchemical Coal
    e.remove({id: 'projecte:alchemical_coal'})
    e.shapeless(Item.of('projecte:alchemical_coal'), ['projecte:philosophers_stone', 'mysticalagradditions:supremium_coal', 'mysticalagradditions:supremium_coal', 'mysticalagradditions:supremium_coal', 'mysticalagradditions:supremium_coal'])
//Low Covalence Dust
    e.remove({id: 'projecte:low_covalence_dust'})
    e.custom(
        {
          "type": "create:mechanical_crafting",
          "pattern": [" BBB ","BBBBB","BBABB","BBBBB"," BBB "],
          "key": {
            "A": {"item": "iceandfire:pixie_dust"},
            "B": {"item": "thermal:emerald_dust"}
          },
          "result": {"item": "projecte:low_covalence_dust","count": 4}
        }
      )
//Medium Covalence Dust
    e.remove({id: 'projecte:medium_covalence_dust'})
    e.custom(
        {
          "type": "create:mechanical_crafting",
          "pattern": [" BBB ","BBBBB","BBABB","BBBBB"," BBB "],
          "key": {
            "A": {"item": "iceandfire:pixie_dust"},
            "B": {"item": "thermal:diamond_dust"}
          },
          "result": {"item": "projecte:medium_covalence_dust","count": 4}
        }
      )
//Hight Covalence Dust
    e.remove({id: 'projecte:high_covalence_dust'})
    e.custom(
        {
          "type": "create:mechanical_crafting",
          "pattern": [" BBB ","BBBBB","BBABB","BBBBB"," BBB "],
          "key": {
            "A": {"item": "iceandfire:pixie_dust"},
            "B": {"item": "thermal:enderium_dust"}
          },
          "result": {"item": "projecte:high_covalence_dust","count": 4}
        }
      )
//Collector MK1
    e.remove({id: 'projecte:collector_mk1'})
    e.shaped(item.of('projecte:collector_mk1', 1), [
        'ABA',
        'ACA',
        'ADA'
      ], {
        A: 'minecraft:glowstone',
        B: 'projecte:aeternalis_fuel',
        C: 'minecraft:diamond_block',
        D: 'minecraft:furnace'
      })
//Relay MK1
    e.remove({id: 'projecte:relay_mk1'})
    e.shaped(item.of('projecte:relay_mk1', 1), [
        'ABA',
        'ACA',
        'AAA'
      ], {
        A: 'minecraft:obsidian',
        B: 'projecte:aeternalis_fuel',
        C: 'minecraft:diamond_block'
      })
//Philosopher stone
e.remove({id: 'projecte:philosophers_stone_alt'})
e.remove({id: 'projecte:philosophers_stone'})
      e.custom(
        {
            "type": "extendedcrafting:shaped_table",
            "pattern": ["   A A   "," A AAA A "," AABBBAA ","AACDDDCAA","ABDEEEDBA","ABDEFEDBA","ABDEEEDBA"," ACDDDCA ","   BBB   "],
            "key": {
              "A": {"item": "botania:dragonstone"},
              "B": {"item": "create:polished_rose_quartz"},
              "C": {"item": "forbidden_arcanus:rune"},
              "D": {"item": "iceandfire:dragonsteel_fire_ingot"},
              "E": {"item": "farlanders:endumium_block"},
              "F": {"item": "kubejs:sphere"}
            },
            "result": {"item": "projecte:philosophers_stone","count": 1}
          }
      )
//Transmutation Table
e.remove({id: 'projecte:transmutation_table'})
e.custom(
    {
        "type": "extendedcrafting:shaped_table",
        "pattern": ["AAAAAAAAA","ABBCDCBBA","ABCECDCBA","ACDDEDECA","ADCEFECDA","ACEDEDDCA","ABCDCECBA","ABBCDCBBA","AAAAAAAAA"],
        "key": {
          "A": {"item": "xreliquary:alkahestry_altar"},
          "B": {"item": "iceandfire:dragonforge_lightning_core_disabled"},
          "C": {"item": "twilightforest:fluffy_cloud"},
          "D": {"item": "mysticalagradditions:creative_essence"},
          "E": {"item": "tconstruct:pig_iron_block"},
          "F": {"item": "projecte:philosophers_stone"}
        },
        "result": {"item": "projecte:transmutation_table","count": 1}
      }
  )
//Energy Condenser MK1
e.remove({id: 'projecte:condenser_mk1'})
e.custom(
    {
        "type": "extendedcrafting:shaped_table",
        "pattern": ["AAAAAAAAA","ABCDCDBBA","ABDCDBDCA","ADBBEBCDA","ACDFGHDCA","ADCBIBBDA","ACDBDCDBA","ABBDCDCBA","AAAAAAAAA"],
        "key": {
          "A": {"item": "thermal:tar_block"},
          "B": {"item": "mysticalagriculture:imperium_growth_accelerator"},
          "C": {"item": "ars_nouveau:sylph_shards"},
          "D": {"item": "projecte:dark_matter_block"},
          "E": {"item": "enderstorage:ender_chest"},
          "F": {"item": "mekanism:personal_chest"},
          "G": {"item": "projecte:alchemical_chest"},
          "H": {"item": "ironchest:obsidian_chest"},
          "I": {"item": "pneumaticcraft:smart_chest"}
        },
        "result": {"item": "projecte:condenser_mk1","count": 1}
      }
  )
//Energy Condenser MK2
e.remove({id: 'projecte:condenser_mk2'})
e.custom(
    {
        "type": "extendedcrafting:shaped_table",
        "pattern": ["AAAAAAAAA","ABCBBCBBA","ABCFCFCCA","ACFCDCFBA","ABCDEDCBA","ABFCDCFCA","ACCFCFCBA","ABBCBBCBA","AAAAAAAAA"],
        "key": {
          "A": {"item": "thermal:tar_block"},
          "B": {"item": "auxilium:blue_matter"},
          "C": {"item": "extendedcrafting:nether_star_block"},
          "D": {"item": "projecte:klein_star_omega"},
          "E": {"item": "projecte:condenser_mk1"},
          "F": {"item": "mysticalagradditions:creative_essence"}
        },
        "result": {"item": "projecte:condenser_mk2","count": 1}
      }
  )
//Alchemical Chest
e.remove({id: 'projecte:alchemical_chest'})
e.shaped(item.of('projecte:alchemical_chest'), [
  'ABC',
  'DED',
  'FGF'
], {
  A: 'projecte:low_covalence_dust',
  B: 'projecte:medium_covalence_dust',
  C: 'projecte:high_covalence_dust',
  D: 'pneumaticcraft:reinforced_stone',
  E: 'forbidden_arcanus:dark_nether_star',
  F: 'minecraft:netherite_ingot',
  G: 'metalbarrels:netherite_barrel'
},)  
//Repair Talisman
e.remove({id: 'projecte:repair_talisman_alt'})
e.remove({id: 'projecte:repair_talisman'})
e.shaped(item.of('projecte:repair_talisman', ), [
  'ABC',
  'DED',
  'CBA'
], {
  A: 'projecte:low_covalence_dust',
  B: 'projecte:medium_covalence_dust',
  C: 'projecte:high_covalence_dust',
  D: 'projecte:dark_matter',
  E: 'cyclic:anvil'
})
//Dark Matter Armor
//Helmet
e.remove({id: 'projecte:dm_helmet'})
e.shaped(item.of('projecte:dm_helmet'), [
  'AAA',
  'ABA',
  '   '
], {
  A: 'projecte:dark_matter',
  B: 'byg:ametrine_helmet'
})
//Chestplate
e.remove({id: 'projecte:dm_chestplate'})
e.shaped(item.of('projecte:dm_chestplate'), [
  'ABA',
  'AAA',
  'AAA'
], {
  A: 'projecte:dark_matter',
  B: 'byg:ametrine_chestplate'
})
//Leggings
e.remove({id: 'projecte:dm_leggings'})
e.shaped(item.of('projecte:dm_leggings'), [
  'AAA',
  'ABA',
  'A A'
], {
  A: 'projecte:dark_matter',
  B: 'byg:ametrine_leggings'
})
//Boots
e.remove({id: 'projecte:dm_boots'})
e.shaped(item.of('projecte:dm_boots'), [
  'ABA',
  'A A',
  '   '
], {
  A: 'projecte:dark_matter',
  B: 'byg:ametrine_boots'
})
})